Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.tools.development
Class AbstractContainerService.LocalInitializationEnvironment

    java.lang.Object
      com.google.appengine.tools.development.LocalEnvironment
          com.google.appengine.tools.development.AbstractContainerService.LocalInitializationEnvironment

Enclosing class:
  AbstractContainerService

    public static class AbstractContainerService.LocalInitializationEnvironment

extends com.google.appengine.tools.development.LocalEnvironment

A fake `LocalEnvironment` implementation that is used during the initialization of the Development AppServer.

Field Summary

Fields inherited from class com.google.appengine.tools.development.LocalEnvironment
`API_CALL_SEMAPHORE, DEFAULT_VERSION_HOSTNAME, REQUEST_END_LISTENERS, REQUEST_ID, REQUEST_LOG_ID, START_TIME_ATTR`

Constructor Summary
`AbstractContainerService.LocalInitializationEnvironment(java.lang.String appId, java.lang.String majorVersionId)`

Method Summary
`java.lang.String` | `getEmail()`
`boolean` | `isAdmin()`
`boolean` | `isLoggedIn()`

Methods inherited from class com.google.appengine.tools.development.LocalEnvironment
`callRequestEndListeners, getAppId, getAttributes, getAuthDomain, getRemainingMillis, getRequestNamespace, getVersionId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractContainerService.LocalInitializationEnvironment

    public AbstractContainerService.LocalInitializationEnvironment(java.lang.String appId,
                                                                   java.lang.String majorVersionId)

Method Detail

### getEmail

    public java.lang.String getEmail()

### isLoggedIn

    public boolean isLoggedIn()

### isAdmin

    public boolean isAdmin()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD